Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83358 - redhat-config-services fails on startup looking for /etc/init.d/error
Summary: redhat-config-services fails on startup looking for /etc/init.d/error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-services
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-03 09:57 UTC by Muiz Motani
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-04 16:31:13 UTC


Attachments (Terms of Use)

Description Muiz Motani 2003-02-03 09:57:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
In trying to startup redhat-config-services, it fails and produces the following
error:
 
/etc/init.d/error: [Errno 2] No such file or directory: '/etc/init.d/error'
 
Indeed, this file does not exist. What is this file and should I need it?

I have redhat-config-services 0.8.2.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run redhat-config-services


    

Actual Results:  See description

Expected Results:  rdhat-config-services panel should be started

Additional info:

Comment 1 Daniel Walsh 2003-02-03 16:13:51 UTC
Are you running on a Non-English machine.  Errors similar to this have been 
showing up on them.  The latest release of redhat-config-services in RawHide fixes 
those problems.

Dan

Comment 2 Muiz Motani 2003-02-03 20:47:52 UTC
I am actually running an english machine. 

However, upgrading to Rawhide (redhat-config-services-0.8.4-1.noarch.rpm) seems
to allow me to use the utility. It does still, however give me the following error:

/etc/init.d/error reading from directory /etc/init.d [Errno 2] No such file or
directory: '/etc/init.d/error reading reading from directory /etc/init.d'

The program does not exit, however, and I seem to be able to use the controls.

Comment 3 Daniel Walsh 2003-02-03 21:10:48 UTC
Could you attach the output of 

chkconfig --list

Comment 4 Muiz Motani 2003-02-03 22:20:29 UTC
Here is the output:

keytable       	0:off	1:on	2:on	3:on	4:on	5:on	6:off
crond          	0:off	1:off	2:on	3:on	4:on	5:on	6:off
syslog         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
netfs          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
network        	0:off	1:off	2:on	3:on	4:on	5:on	6:off
random         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
xfs            	0:off	1:off	2:on	3:on	4:on	5:on	6:off
httpd          	0:off	1:off	2:on	3:on	4:on	5:on	6:off
apmd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
arpwatch       	0:off	1:off	2:off	3:off	4:off	5:off	6:off
atd            	0:off	1:off	2:off	3:on	4:on	5:on	6:off
named          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
gpm            	0:off	1:off	2:on	3:on	4:on	5:on	6:off
innd           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
pcmcia         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
nfs            	0:off	1:off	2:off	3:off	4:off	5:off	6:off
nfslock        	0:off	1:off	2:off	3:off	4:on	5:on	6:off
kudzu          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
lpd            	0:off	1:off	2:on	3:on	4:on	5:on	6:off
mars-nwe       	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ntpd           	0:off	1:off	2:off	3:on	4:off	5:on	6:off
identd         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
pulse          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
portmap        	0:off	1:off	2:off	3:on	4:on	5:on	6:off
postgresql     	0:off	1:off	2:off	3:off	4:off	5:off	6:off
routed         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
rwhod          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
smb            	0:off	1:off	2:off	3:on	4:on	5:on	6:off
sendmail       	0:off	1:off	2:on	3:on	4:on	5:on	6:off
snmpd          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ypbind         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
rstatd         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
irda           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
rawdevices     	0:off	1:off	2:off	3:on	4:on	5:on	6:off
ipchains       	0:off	1:off	2:on	3:on	4:on	5:on	6:off
xinetd         	0:off	1:off	2:off	3:on	4:on	5:on	6:off
snmptrapd      	0:off	1:off	2:off	3:off	4:off	5:off	6:off
winbind        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
rusersd        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
saslauthd      	0:off	1:off	2:off	3:off	4:off	5:off	6:off
autofs         	0:off	1:off	2:off	3:on	4:on	5:on	6:off
nscd           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
iptables       	0:off	1:off	2:on	3:on	4:on	5:on	6:off
rhnsd          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
anacron        	0:off	1:off	2:on	3:on	4:on	5:on	6:off
mysqld         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
error reading from directory /etc/init.d: No such file or directory

Comment 5 Daniel Walsh 2003-03-04 16:31:13 UTC
THere is a unconnected link in one of your /etc/rc.d/rc directories.  If you
delete this the problem will go away.

Dan


Note You need to log in before you can comment on or make changes to this bug.